<template>
  <div class="container">
    <component :is="componentVal" :params="datas" @change="changePage"></component>
  </div>
</template>

<script>
import { satelliteIntroduction } from "@/utils/formDatas.js"
import { page, update } from "@/api/website/satelliteIntroduction"

export default {
  name: "satelliteIntroduction",
  data() {
    return {
      componentVal: () => import("./list"),
      datas: null
    }
  },
  mounted() {

  },
  methods: {
    changePage(name, val) {
      this.componentVal = () => import(`./${name}`)

      if (!!val) {
        this.datas = val
      }
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
